Name:           gedit-plugins
Version:        2.22.3
Release:        2%{?dist}
Summary:        Plugins for gedit

Group:          Applications/Editors
License:        GPLv2+
URL:            http://live.gnome.org/GeditPlugins 
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gedit-plugins/2.22/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gedit-devel
BuildRequires:  gucharmap-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  libgnomeui-devel
BuildRequires:  gettext
BuildRequires:  vte-devel
BuildRequires:  cairo-devel
BuildRequires:  atk-devel
BuildRequires:  pygtk2-devel
BuildRequires:  pygtksourceview-devel
BuildRequires:  pygobject2-devel
BuildRequires:  intltool
Requires:       gedit
Requires:       pygtk2
Requires:  	pygtksourceview
Requires:  	pygobject2
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
A collection of plugins for gedit.


%prep
%setup -q
grep '"import vte' configure && sed \
    -i "s!import vte!import imp; imp.find_module('vte')!" configure

%build
%configure --disable-schemas-install --enable-python
#--with-plugins=bracketcompletion,charmap,codecomment,colorpicker,drawspaces,joinlines,showtabbar,smartspaces,terminal
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
rm -f $RPM_BUILD_ROOT/%{_libdir}/gedit-2/plugins/libcharmap.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/gedit-2/plugins/libshowtabbar.la


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas > /dev/null || :



%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas > /dev/null || :
fi

%check
[ -f ${RPM_BUILD_ROOT}%{_libdir}/gedit-2/plugins/terminal.py ]


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING
%config(noreplace) %{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/gedit-2/plugins/*


%changelog
* Mon Sep 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 2.22.3-2
- Fixed buildrequires

* Mon Sep 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 2.22.3-1
- Updated to 2.22.3

* Mon Sep 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 2.22.0-2
- rebuild to pick latest gucharmap

* Tue Mar 18 2008 Trond Danielsen <trond.danielsen@gmail.com> - 2.22.0-1
- Updated.

* Mon Apr 30 2007 Trond Danielsen <trond.danielsen@gmail.com> - 2.18.0-2
- Disable buggy session saver plugin.
- Removed static libraries.

* Sun Apr 01 2007 Trond Danielsen <trond.danielsen@gmail.com> - 2.18.0-1
- Initial version.
